// Tree View

$treeview_row_height: 36px;

table.treeview {
	background-color:$base_color;
	border-collapse: collapse;
	border-spacing: 0;
	border:none;
	// font-family:$monospace;
	font-size:$font_size;
	margin:0;
	text-align: left;
	height:auto;
	width:100%;

	> thead {
		font-family: $bold_font_family;
		height: 12px !important;
		> tr {
			border:0px solid lighten($borders_color, 15%);
			border-top-width:1px;
			border-right-width:1px;
			th {
				border:0px solid lighten($borders_color, 15%);
				color: lighten($fg_color,40%);
				padding: 4px 6px;
				border-right-width:1px;
			}
		}
	}

	> tbody {
		font-family: $font_family;
		> tr {
			border:0px solid lighten($borders_color, 15%);
			font-size: $font_size;
			font-weight: normal;
			height: $treeview_row_height;
			border-top-width:1px;
			border-right-width:1px;
			th {
				padding: 6px;
				font: inherit !important;
				// line-height: $treeview_row_height !important;
				vertical-align: middle !important;
				> .icon {
					margin: 0 6px;
					margin-right: 12px;
					vertical-align: middle !important;
				}
			}


			&:hover {
				background-color: darken($base_color, 2%);
			}
		}
	}

	// alternate bg color of table rows
	> thead,
	> tbody {
		tr th {
			&:nth-child(1) {width: 60%;text-align: left;}
			&:nth-child(2) {width: 20%;text-align: right;}
			&:nth-child(3) {width: 20%;text-align: right;}
		}
	}
}